Amenities
Return detailed information for your amenities in your room type.
Retrieve a room type's amenities.
Authorizations
x-sm-api-keystringRequired
Path parameters
propertyUuidstringRequired
UUID for a property.
roomTypeUuidstring · uuidRequired
UUID for a room type.
Header parameters
x-sm-api-keystringRequired
API key used to authenticate the request.
Responses
200
Successful operation
application/json
otaCodeintegerRequired
OTA amenity code
namestringRequired
human-readable amenity name
400
Bad Request
application/json
401
Not Authorised
application/json
403
Access Denied
application/json
404
The specified resource was not found
application/json
429
Rate Limited
application/json
500
Internal Server Error
application/json
get/properties/{propertyUuid}/room-types/{roomTypeUuid}/amenities
GET /properties/{propertyUuid}/room-types/{roomTypeUuid}/amenities HTTP/1.1
x-sm-api-key: text
Accept: */*
[
{
"otaCode": 2,
"name": "Air conditioning"
}
]Last updated
Was this helpful?